import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
import { EE } from '../../../../../types/interface/EE';
export interface I<T> {
    emitter: EE<any>;
    event: string;
    remove: string;
}
export interface O<T> {
    data: any;
}
export default class Listen<T> extends Semifunctional<I<T>, O<T>> {
    private _listener;
    private _unlisten;
    constructor(system: System);
    private _remove;
    f({ emitter, event }: I<T>): void;
    d(): void;
    onIterDataInputData(name: string, data: any): void;
}
